<?php

namespace App;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class comentarios_requerimientos extends Model
{
    protected $fillable = [
        'id','usuario','contenido','requerimiento_id'
    ];

    // Buscar Comentarios de un requerimiento
    public static function listaComentarios($id) {
        return DB::table('comentarios_requerimientos')
                    ->join('users','users.id','comentarios_requerimientos.usuario')
                    ->where('requerimiento_id', $id)
                    ->select('comentarios_requerimientos.*','users.name as user_name')
                    ->get();
    }
}
